
QGIS Application - Bug report #21275

manually selected datum transformation setting is ignored

2019-02-14 04:36 PM - Jonas Hurst

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Projection Support

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29093

Description

affected version:

occured with 3.4.2

QGIS installed through OSGeo4W

precondition:

make sure, osgeo4w/share/proj folder contains transformation grid (in my case BETA2007)

reproduce:

1) Settings > Options > CRS > "Ask for datum transformation if several are available"=checked

2) load geodata (in my case a shapefile, GK zone 3, EPSG:31467)

3) Right-click legend layer in legend > Export > Save features as

4) enter file name and select a different CRS (in my case UTM zone 32N, EPSG: 25832)

5) click "OK" -> New window "select datum transformation" opens

6) choose one of these datum transformation options (in my case BETA2007)

   INFO: BETA2007 is not a paramter transformation but a grid-based transformation

7) click "OK"

expected result:

shapefile is transformed using BETA2007-grid

actual result:

QGIS ignores the selection for BETA2007 and uses some other parameter transformation (the default transformation?).

The same happens when using transformation grid BWTA2017: Both results are identical.

Transformations with grids are much more accurate!

hints:

transformation worked correctly in 2.18.26

attachment:

-shapefile in EPSG:31467 to be transformed into EPSG:25832 (original.shp)

-shapefile transformed wrong (transform_wrong.shp from QGIS 3.4.2)

-shapefile transformed correctly (transform_correct.shp from QGIS 2.18.26)

(Note the difference between the two of about 1.70m!)

why is this important?

Germany is in the process of changing it's national grid from Gauss-Kruger to UTM coordinates.

For this, the governments requires BETA2007 to be used (in some cases BWTA2017)
Associated revisions

Revision 41a72664 - 2019-03-12 05:39 AM - Nyall Dawson

Fix vector layer export transform selection choice is ignored

Fixes #21275

Revision d1910f59 - 2019-03-19 12:49 AM - Nyall Dawson

Fix vector layer export transform selection choice is ignored

Fixes #21275

Revision 76714194 - 2019-03-19 01:19 AM - Nyall Dawson

Fix vector layer export transform selection choice is ignored

Fixes #21275

History

#1 - 2019-02-15 01:58 PM - Alessandro Pasotti

- Category changed from Processing/QGIS to Vectors

- Status changed from Open to Feedback

I've tested current master on Linux and I couldn't reproduce the issue.

Can you please test (on windows) the latest nightly build to check if the issue is still present on master?

#2 - 2019-02-18 08:51 AM - Jonas Hurst

thank you for you quick feedback on this issue.

I am still able to reproduce this in todays nightly on win10 (delivered through osgeo).

#3 - 2019-02-18 02:18 PM - Giovanni Manghi

- Affected QGIS version changed from 3.4.2 to 3.5(master)

- Regression? changed from No to Yes

- Status changed from Feedback to Open

- Category changed from Vectors to Projection Support

#4 - 2019-03-05 09:39 PM - Andy Harfoot

As a workaround, if you define the desired transformation in the project CRS tab it appears to be honored when exporting

#5 - 2019-03-12 05:36 AM - Nyall Dawson

- Assignee set to Nyall Dawson
- Status changed from Open to In Progress

#6 - 2019-03-19 12:49 AM - Nyall Dawson

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|d1910f59ddc14d1724c08191a1822237ace17c2c.

Files

transfo_test.zip 4.71 KB 2019-02-14 Jonas Hurst
